directory-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Aristedes Maniatis <amania...@apache.org>
Subject Re: 2.0 (2012-01-27) View missing in Eclipse
Date Tue, 21 Feb 2012 22:17:02 GMT
On 22/02/12 4:45 AM, Pierre-Arnaud Marcelot wrote:
> Hi Ari,
>
> I couldn't exactly reproduce your problem, but installing Studio 2.0 over an already
installed 1.5.3 version does not seem possible.
>
> I downloaded the latest version (3.7.1) of Eclipse and installed Apache Directory Studio
1.5.3 on it.
> Then, I tried to install version 2.0 M2 and it wouldn't let me complete the process,
ending with the following error:
>> ===================================================================================================================
>
>> Your original request has been modified.
>>    "Apache Directory Studio Apache DS Configuration" is already installed, so an
update will be performed instead.
>>    "Apache Directory Studio LDAP Browser" is already installed, so an update will
be performed instead.
>>    "Apache Directory Studio LDIF Editor" is already installed, so an update will
be performed instead.
>>    "Apache Directory Studio Schema Editor" is already installed, so an update will
be performed instead.
>> Cannot complete the install because of a conflicting dependency.
>>    Software being installed: Apache Directory Studio LDAP Servers 2.0.0.v20120127
(org.apache.directory.studio.ldapservers.feature.feature.group 2.0.0.v20120127)
>>    Software currently installed: Apache Directory Studio Apache DS 1.5.3.v20100330
(org.apache.directory.studio.apacheds.feature.feature.group 1.5.3.v20100330)
>>    Only one of the following can be installed at once:
>>      Apache Directory Studio Common UI 1.5.3.v20100330 (org.apache.directory.studio.common.ui
1.5.3.v20100330)
>>      org.apache.directory.studio.common.ui 2.0.0.v20120127
>>    Cannot satisfy dependency:
>>      From: Apache Directory Studio Apache DS 1.5.3.v20100330 (org.apache.directory.studio.apacheds.feature.feature.group
1.5.3.v20100330)
>>      To: org.apache.directory.studio.common.ui [1.5.3.v20100330]
>>    Cannot satisfy dependency:
>>      From: Apache Directory Studio LDAP Servers 2.0.0.v20120127 (org.apache.directory.studio.ldapservers.feature.feature.group
2.0.0.v20120127)
>>      To: org.apache.directory.studio.common.ui [2.0.0.v20120127]
>
>> ===================================================================================================================
>
> So, I uninstalled Studio 1.5.3 and then I was able to install version 2.0 M2 successfully.
>
> I don't know exactly what happened on your Eclipse installation but I'm afraid you're
stuck in an in-between situation.
> Maybe you could try to uninstall Studio again (version 2.0) and look in the 'plugins'
folder if there are still (old) plugins that need to be cleaned by hand.
> Studio plugins start with the following prefixes:
> - org.apache.directory.server.*
> - org.apache.directory.shared.*
> - org.apache.directory.studio.*
>
> Regards,
> Pierre-Arnaud
>
>
> On 17 févr. 2012, at 15:50, Aristedes Maniatis wrote:
>
>> On 17/02/12 7:59 PM, Pierre-Arnaud Marcelot wrote:
>>> Hi Ari,
>>>
>>> On 17 févr. 2012, at 08:28, Aristedes Maniatis wrote:
>>>
>>>> Running version 2.0 of Apache DS (late January build) [1] in Eclipse 3.7.
I upgraded from the 1.5.x version which had been working perfectly.
>>>>
>>>> Now there are no LDAP browser editor views of any sort (that is, no list
of servers, editor, etc).
>>>
>>> This is pretty weird. Do you have the "LDAP Browser" perspective accessible via
the "Window>   Open Perspective>   Other..."
>>
>> No, that used to be there in 1.5.x, but no longer.
>>
>>
>>>> But I do have the schema editor views which I've not seen before.
>>>
>>> They've been there since the initial 1.0 release (and even before).
>>
>> Perhaps I had not previously installed that part. This time I tried installing every
Apache DS component. Only RCP failed to install because:
>>
>> Cannot complete the install because some dependencies are not satisfiable
>>   org.apache.directory.studio.rcp.feature.feature.group [2.0.0.v20120127] cannot
be installed in this environment because its filter is not applicable.
>>
>>
>>>> Is this a bug in the current milestone?
>>>
>>> Not that we know and 2.0 has been there for about a month already.
>>>
>>>> Something strange with an upgrade from 1.5 to 2.0M2?
>>>
>>> Maybe…
>>> I will give a try.
>>>
>>> Can you try to uninstall and re-install Studio 2.0 M2 to see if it fixes the
issue.
>>
>> Done. No help. I looked for some configuration file to delete but could not find
one.
>>
>> Ari
>>
>>
>>>
>>> Thanks,
>>> Pierre-Arnaud
>>>
>>>
>>>> Cheers
>>>>
>>>> Ari
>>>>
>>>>
>>>> [1]
>>>>   Apache Directory Studio Apache DS Configuration	2.0.0.v20120127	org.apache.directory.studio.apacheds.configuration.feature.feature.group
Apache Software Foundation
>>>>   Apache Directory Studio ApacheDS 2.0 Configuration	2.0.0.v20120127	org.apache.directory.studio.apacheds.configuration.v2.feature.feature.group
Apache Software Foundation
>>>>   Apache Directory Studio LDAP Browser	2.0.0.v20120127	org.apache.directory.studio.ldapbrowser.feature.feature.group
Apache Software Foundation
>>>>   Apache Directory Studio LDIF Editor	2.0.0.v20120127	org.apache.directory.studio.ldifeditor.feature.feature.group
Apache Software Foundation
>>>>   Apache Directory Studio Schema Editor	2.0.0.v20120127	org.apache.directory.studio.schemaeditor.feature.feature.group
Apache Software Foundation


Thanks for following up. Although I didn't have the upgrading problems you did, I did try
to remove all traces of Apache DS from Eclipse just like you suggested, but it did not seem
to help. I deleting everything from the features and plugin folders that started with org.apache.directory...
 Are there any config files I could also remove?


Ari


-- 
-------------------------->
Aristedes Maniatis
GPG fingerprint CBFB 84B4 738D 4E87 5E5C  5EFA EF6A 7D2E 3E49 102A

Mime
View raw message